#define debug 
#define ocp_control
#define mains_control

#define quartz_frq 13824000
#define pwm_frq 15000
#define sw_frq  50
#define timcnttrs pwm_frq/1000

#define Vref 2560
#define R1   5100
#define R2   1000
#define adc_ub  ((u16)((u32)Vref*(R1+R2)/R2/10)) //15V61*100 
#define Vout 220
#define Ktr  28
#define adc_uvh ((u16)((u32)Vout*141*0xff/Ktr*0xff/adc_ub)) //181 adc points*255

#define LoBt_trs 1050

#define mains_ips PIND.6

#define A        PORTD.1
#define B        PORTD.0
#define C        PORTC.1
#define D        PORTC.2
#define E        PORTC.3
#define F        PORTC.4
#define G        PORTC.5
#define DP       PORTB.5

#define N0       PORTD.4
#define DDR0     DDRD.4
#define IDR0     PIND.4
#define N1       PORTD.3
#define DDR1     DDRD.3
#define N2       PORTD.2
#define DDR2     DDRD.2

#define HKR      PORTB.4
#define LKR      PORTB.3
#define HKL      PORTB.2
#define LKL      PORTB.1
#define DTV      5

typedef unsigned long u32;
typedef unsigned int u16;
typedef unsigned char u8;